﻿using BingPaper.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BingPaper.Impl.Command
{
    class CompositeCommand : ConditionalCommand
    {
        private ICommand[] _commands;

        public CompositeCommand(params ICommand[] commands)
        {
            _commands = commands;
        }

        protected override void Execute(Interfaces.ICommandContext context)
        {
            foreach (var item in _commands)
                item.Run(context);
        }
    }
}
