﻿using BingPaper.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BingPaper.Impl.Command
{
    abstract class ConditionalCommand : ICommand
    {
        public void Run(ICommandContext context)
        {
            if (context == null)
                throw new ArgumentNullException("context");

            if (Condition == null || Condition(context))
                Execute(context);
        }

        protected abstract void Execute(ICommandContext context);

        public Func<ICommandContext, Boolean> Condition { get; set; }
    }
}
