﻿using BingPaper.Interfaces;
using BingPaper.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BingPaper.Impl.Command
{
    class DownloadImageCommand : ICommand
    {
        public void Run(ICommandContext context)
        {
            if (context == null)
                throw new ArgumentNullException("context");
            ImageDownloader downloader = new ImageDownloader(context.Logger, context.ImageSavePath);
            var imageName = downloader.DownloadImage(context.CurrentImageName, GetCountryCode(context.Config));
            context.CurrentImageName = imageName;
        }

        private string GetCountryCode(Config config)
        {
            if (!config.RandomCountryCode)
                return config.CountryCode;

            var list = CountryListProvider.BingCountries;
            Random random = new Random();
            return list.ElementAt(random.Next(0, list.Count())).Code;
        }
    }
}
