﻿using BingPaper.Interfaces;
using BingPaper.PInvoke;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;

namespace BingPaper.Impl.Command
{
    class SetDesktopWallpaperCommand : ICommand
    {
        public void Run(ICommandContext context)
        {
            if (context == null)
                throw new ArgumentNullException("context");

            if (!SPIWrapper.SystemParametersInfo(SPI.SPI_SETDESKWALLPAPER, 0u, context.ImageSavePath,
                SPIF.SPIF_UPDATEINIFILE | SPIF.SPIF_SENDWININICHANGE | SPIF.SPIF_SENDCHANGE))
            {
                int lastWin32Error = Marshal.GetLastWin32Error();
                context.Logger.LogError(String.Format("set wallpaper failed : 0x{0:X8}", lastWin32Error));
            }
        }
    }
}
