﻿using BingPaper.Interfaces;
using BingPaper.Util;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BingPaper.Impl.Command
{
    class SetWallpaperStyleCommand : ICommand
    {
        public void Run(ICommandContext context)
        {
            if (context == null)
                throw new ArgumentNullException("context");

            var style = WallPaperStyleListProvider.StyleSettingValues[context.Config.WallPaperStyle];
            SetWallpaperStyle(style.WallpaperStyle, style.TileWallPaper, context.Logger);
        }

        private void SetWallpaperStyle(int wallpaperStyle, int tileWallpaper, ILogger logger)
        {
            var key = Registry.CurrentUser;
            foreach (var name in new string[] { "Control Panel", "Desktop" })
            {
                key = key.OpenSubKey(name, true);
                if (key == null)
                {
                    logger.LogError(string.Format("not found registry key : {0}", name));
                    return;
                }
            }
            key.SetValue("WallpaperStyle", wallpaperStyle.ToString());
            key.SetValue("TileWallpaper", tileWallpaper.ToString());
        }
    }
}
