﻿using System;
using System.IO;
using System.Text;

using BingPaper.Interfaces;

namespace BingPaper.Impl
{
	internal class ReaderWriterProvider : IReaderWriterProvider
	{	
		private string _configPath;
		
		public System.IO.TextReader createReader()
		{
			return new StreamReader(EnsureConfigFileExisted(FileAccess.Read, FileShare.Read), Encoding.UTF8);
		}
		
		public System.IO.TextWriter createWriter()
		{
			return new StreamWriter(EnsureConfigFileExisted(FileAccess.Write, FileShare.None), Encoding.UTF8);
		}
		
		private Stream EnsureConfigFileExisted(FileAccess access, FileShare share)
		{
			return File.Open(ConfigPath, FileMode.OpenOrCreate, access, share);
		}
		
		internal String ConfigPath
		{
			get{
				if (!string.IsNullOrEmpty(_configPath))
					return _configPath;
				_configPath = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.UserProfile), ".BingPaperConfig");
				return _configPath;
			}
			set 
			{
				_configPath = value;
			}
		}
	}
}
