using System;
using System.Windows.Forms;
using BingPaper.Interfaces;
using BingPaper.UI;

namespace BingPaper
{
	internal sealed class Program
	{
		[STAThread]
		private static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			
			BingPaper.UI.MainForm form = Initialize();
			Application.Run(form);
		}

		static BingPaper.UI.MainForm Initialize()
		{
			Model model = new Model();
			ILogger logger = new Logger(model);
			IAppCore appCore = new Impl.AppCore {
				Logger = logger,
				ConfigStorage = new Impl.JsonConfigStorage(logger) { ReaderWriterProvider = new Impl.ReaderWriterProvider() }
			};
			var form = new BingPaper.UI.MainForm(model, appCore, logger);
			return form;
		}
	}
}
