﻿
#if TEST
using System;
using System.Linq;
using BingPaper.Interfaces;
using NUnit.Framework;

namespace BingPaper.Test
{
	[TestFixture]
	public class ConfigTest
	{
		[Test]
		public void TestValidate()
		{
			Config config = Config.CreateDefaultConfig();
			Assert.AreEqual(0 , config.Validate().Count());
			
			config.PeriodType = 2;
			Assert.AreEqual(1, config.Validate().Count());
			config.PeriodType = Config.PERIOD_MINUTE;
			config.Period = "12";
			Assert.AreEqual(0, config.Validate().Count());
			config.Period = "-1";
			Assert.AreEqual(1, config.Validate().Count());
			
			config.PeriodType = Config.PERIOD_TIME;
			config.Period = "12:00";
			Assert.AreEqual(0, config.Validate().Count());
			config.Period = "00:00";
			Assert.AreEqual(0, config.Validate().Count());
			config.Period = "23:59";
			Assert.AreEqual(0, config.Validate().Count());
			config.Period = "23:61";
			Assert.AreEqual(1, config.Validate().Count());
			config.Period = "24:59";
			Assert.AreEqual(1, config.Validate().Count());
		}
	}
}
#endif
