﻿#if TEST
using System;
using System.IO;
using BingPaper.Impl;
using NUnit.Framework;

namespace BingPaper.Test
{
	[TestFixture]
	public class ReaderWriterProviderTest
	{
		private ReaderWriterProvider provider;
		
		[Test]
		public void TestReadAndWriter()
		{
			TextReader reader = provider.createReader();
			Assert.IsNotNull(reader);
			reader.Close();
			TextWriter writer = provider.createWriter();
			Assert.IsNotNull(writer);
			writer.Close();
		}
		
		[TestFixtureSetUp]
		public void Init()
		{
			provider = new ReaderWriterProvider();
			string path = Path.GetFullPath(".BingPaperConfig");
			Console.WriteLine("path is {0}", path);
			provider.ConfigPath = path;
		}
		
		[TestFixtureTearDown]
		public void Dispose()
		{
			if (File.Exists(provider.ConfigPath))
				File.Delete(provider.ConfigPath);
		}
	}
}
#endif