﻿
using System;
using System.ComponentModel;
using System.Globalization;

namespace BingPaper.UI
{
	internal class Logger : ILogger
	{
		private Model _model;
		
		public Logger(Model model)
		{
			if (model == null)
				throw new ArgumentNullException("model");
			_model = model;			
		}
		
		public void LogMessage(string msg)
		{
			AddLog(string.Format("[INFO] {0}", msg, CultureInfo.InvariantCulture));
		}
		
		public void LogWarn(string msg)
		{
			AddLog(string.Format("[WARN] {0}", msg, CultureInfo.InvariantCulture));
		}
		
		public void LogError(string msg)
		{
			AddLog(string.Format("[ERROR] {0}", msg, CultureInfo.InvariantCulture));
		}
		
		private void AddLog(string msg)
		{
			this._model.AddLog(msg);
		}
	}
}
